## pygccxml 3.0.0

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = docs/_build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) docs
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) docs

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pygccxml.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pygccxml.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pygccxml"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pygccxml"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pygccxml 1.0.0

=== debian/changelog ===
pygccxml (1.0.0-4) unstable; urgency=low

  * debian/patches/use_hashlib_md5.patch:
    - Use hashlib instead of md5 module. (Closes: #588843)
  * debian/patches/check_os_name_posix.patch:
    - Fix error in checking POSIX compatible operating systems. 
      (Closes: #588844)
  * debian/control:
    - Bump std-ver to 3.9.1.

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 13 Nov 2010 20:45:37 +0800

pygccxml (1.0.0-3) unstable; urgency=low

  * debian/rules: 
    Fixing FTBFS bug caused by dh changes (Closes: #587127)
  * debian/doc-base: register pygccxml apidocs to doc-base.

 -- Aron Xu <happyaron.xu@gmail.com>  Thu, 01 Jul 2010 12:47:30 +0800

pygccxml (1.0.0-2) unstable; urgency=low

  * debian/control: 
       Add "XS-Python-Version: >= 2.5" (Closes: #577585).
       Improve long description.
  * debian/source/format: use `3.0 (quilt)' source format.

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 14 Apr 2010 15:25:43 +0800

pygccxml (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #574256)

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 17 Mar 2010 12:16:39 +0800

=== debian/control ===
Source: pygccxml
Section: python
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python, python-support, gccxml, unzip
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://www.language-binding.net/pygccxml/pygccxml.html

Package: python-pygccxml
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gccxml
Description: specialized XML reader reads the output from gccxml
 The purpose of pygccxml is to read a generated file and provide a 
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the Python module that can be import for uses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
major=1.0.0
unittmp=`ls ./unittests/*.py`

%:
	dh  $@

override_dh_auto_build:
	python setup.py build --build-lib ./build/lib/ 

override_dh_auto_clean:
	python setup.py clean -a
	-rm -rf ./build
	find . -name \*.pyc -exec rm {} \;
	find . -name \*.cache -exec rm {} \;

override_dh_installchangelogs:
	dh_installchangelogs docs/history/history.rest

override_dh_auto_test:
	export PYTHONPATH=$${PYTHONPATH}:build/lib/ ; for test in ${unittmp}; do python $${test}; done

get-orig-source:
	mkdir ../repack
	uscan --force-download --destdir ../repack --download-current-version
	( \
		cd ../repack ;\
		unzip pygccxml-*.zip ;\
		GZIP="--best" tar -czf pygccxml_$(major).orig.tar.gz pygccxml-$(major) ;\
		mv pygccxml_$(major).orig.tar.gz .. ;\
	)
	rm -rf ../repack

=== debian/watch ===
version=3
http://sf.net/pygccxml/pygccxml-(.*)\.zip

## pygccxml 1.8.0

=== debian/changelog ===
pygccxml (1.8.0-1) unstable; urgency=medium

  * QA upload
  * New upstream version
  * Imported Upstream version 1.8.0
  * Added python3-sphinx-rtd-theme and python-sphinx-rtd-theme 
    as build dependency

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 12 Sep 2016 12:30:24 +0200

pygccxml (1.7.6-1) unstable; urgency=medium

  * QA upload.
  * Add get-orig-source target.
  * Imported Upstream version 1.7.6.
  * Disable the test suite until llvm toolchain is up-to-date and fixed again.
    (Closes: #834675)

 -- Markus Koschany <apo@debian.org>  Fri, 19 Aug 2016 21:55:14 +0200

pygccxml (1.7.4-3) unstable; urgency=medium

  * QA upload.
  * Add Breaks and Replaces relation to python-pygccxml-doc
    to avoid upgrade failures from Jessie to Stretch.
    Thanks to Andreas Beckmann for the report. (Closes: #823211)

 -- Markus Koschany <apo@debian.org>  Tue, 07 Jun 2016 20:40:58 +0200

pygccxml (1.7.4-2) unstable; urgency=medium

  * debian/control: rewrite using copyright-format 1.0.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 29 Apr 2016 16:11:46 +0000

pygccxml (1.7.4-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 1.7.4.  Closes: #724646
  * debian/patches: remove, applied upstream.
  * debian/watch: update to use the new upstream from github.
  * debian/copyright: update.
  * debian/gbp.conf: add.
  * debian/control:
    + Update Homepage to the new upstream.  Closes: #744918
    + Use castxml instead of the deprecated gccxml.
      Closes: #822490, #822878, LP: #1574601
    + Run wrap-and-sort.
    + Add the new build-depedencies.
    + Bump Standards-Version to 3.9.8.
    + Add Vcs-* fields.
  * debian/rules:
    + Build using pybuild.
    + Run the tests with the new wrapper script.
  * Build the new documentation.
  * Create a python-pygccxml-doc with the docs.
  * Build a python3 package.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Apr 2016 23:11:57 +0000

pygccxml (1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Orphan the package.  See #795682.
  * Remove long useless debian/pycompat file.
  * Run wrap-and-sort.
  * debian/control: bump Standards-Version to 3.9.6, no changes needed.
  * Build using dh-python instead of python-support.  Closes: #786311

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 01:59:22 +0000

=== debian/control ===
Source: pygccxml
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 castxml,
 debhelper (>= 9),
 dh-python,
 python-all,
 python-pep8,
 python-setuptools,
 python-sphinx,
 python-sphinx-rtd-theme,
 python3-all,
 python3-pep8,
 python3-setuptools,
 python3-sphinx-rtd-theme,
 unzip,
Standards-Version: 3.9.8
X-Python-Version: >= 2.5
Homepage: https://github.com/gccxml/pygccxml
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pygccxml.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pygccxml.git

Package: python-pygccxml
Architecture: all
Depends:
 castxml,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: specialized XML reader reads the output from gccxml - python2 lib
 The purpose of pygccxml is to read a generated file and provide a
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the Python 2 module that can be imported for uses.

Package: python3-pygccxml
Architecture: all
Depends:
 castxml,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: specialized XML reader reads the output from gccxml - python3 lib
 The purpose of pygccxml is to read a generated file and provide a
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the Python 3 module that can be imported for uses.

Package: python-pygccxml-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Breaks:
 python-pygccxml (<< 1.7.4-1),
Replaces:
 python-pygccxml (<< 1.7.4-1),
Description: specialized XML reader reads the output from gccxml - documentation
 The purpose of pygccxml is to read a generated file and provide a
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=pygccxml
export PYBUILD_TEST_ARGS={interpreter} ./unittests/test_all.py

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) html

override_dh_installchangelogs:
	dh_installchangelogs -A docs/history.rst

override_dh_auto_test:
	#Disable the test suite until llvm toolchain is up-to-date and fixed again
	#PYBUILD_SYSTEM=custom dh_auto_test

get-orig-source:
	uscan --download-current-version --force-download

=== debian/watch ===
version=4

https://github.com/gccxml/@PACKAGE@/tags \
.*/v?(\d\S*)@ARCHIVE_EXT@

## pygccxml 1.9.1

=== debian/changelog ===
pygccxml (1.9.1-2) unstable; urgency=medium

  * QA upload.
  * Drop python2 package. Closes #937443

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2019 03:19:59 +0000

pygccxml (1.9.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Upgrade to debhelper compat level 11.
  * Upgrade to Standards-Version 4.2.0.
  * Add 00-fix-import.patch.
  * Remove unnecessary X-Python-Version field from debian/control.
  * Remove trailing whitespace from debian/changelog.
  * Stop depending on the Python 2.x version of Sphinx.
  * Do not install doctree files.
  * Update Vcs-Git and Vcs-Browser fields to new Salsa URLs.
  * Add Testsuite field to debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 11 Aug 2018 16:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  castxml,
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-pep8,
  python-setuptools,
- python-sphinx,
- python-sphinx-rtd-theme,
  python3-all,
  python3-pep8,
+ python3-sphinx,
  python3-setuptools,
  python3-sphinx-rtd-theme,
- unzip,
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.5
+ unzip
+Standards-Version: 4.2.0
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/gccxml/pygccxml
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pygccxml.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pygccxml.git
+Vcs-Browser: https://salsa.debian.org/debian/pygccxml
+Vcs-Git: https://salsa.debian.org/debian/pygccxml.git/
 
 Package: python-pygccxml
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS={interpreter} ./unittests/test_all.py
 
 %:
-	dh  $@ --with python2,python3 --buildsystem=pybuild
+	dh  $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,5 +18,6 @@
 	#Disable the test suite until llvm toolchain is up-to-date and fixed again
 	#PYBUILD_SYSTEM=custom dh_auto_test
 
-get-orig-source:
-	uscan --download-current-version --force-download
+override_dh_installdocs:
+	dh_installdocs
+	rm -rf ./debian/python-pygccxml-doc/usr/share/doc/python-pygccxml-doc/doctrees

## pygccxml 2.2.1

=== debian/changelog ===
pygccxml (2.2.1-1) unstable; urgency=medium

  * QA upload
  * New upstream release
    - no longer uses deprecated time.clock (Closes: #995405)
  * Bump debhelper compat level to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Nov 2021 22:19:22 -0500

pygccxml (1.9.1-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.
  * Apply multi-arch hints. + python-pygccxml-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 21:56:43 +0000

=== debian/control ===
Source: pygccxml
Section: python
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends:
 castxml,
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pep8,
 python3-sphinx,
 python3-setuptools,
 python3-sphinx-rtd-theme,
 unzip
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/gccxml/pygccxml
Vcs-Browser: https://salsa.debian.org/debian/pygccxml
Vcs-Git: https://salsa.debian.org/debian/pygccxml.git/

Package: python3-pygccxml
Architecture: all
Depends:
 castxml,
 ${misc:Depends},
 ${python3:Depends},
Description: specialized XML reader reads the output from gccxml - python3 lib
 The purpose of pygccxml is to read a generated file and provide a
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the Python 3 module that can be imported for uses.

Package: python-pygccxml-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Breaks:
 python-pygccxml (<< 1.7.4-1),
Replaces:
 python-pygccxml (<< 1.7.4-1),
Multi-Arch: foreign
Description: specialized XML reader reads the output from gccxml - documentation
 The purpose of pygccxml is to read a generated file and provide a
 simple framework to navigate C++ declarations using Python classes.
 .
 This package provides the API documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS={interpreter} ./unittests/test_all.py
 
 %:
-	dh  $@ --with python3 --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## pygccxml 2.4.0

=== debian/changelog ===
pygccxml (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * now using pyproject PEP-517 standard build
  * Update standards version to 4.6.2, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 18 Nov 2023 09:58:44 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
  castxml,
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject, 
  python3-all,
- python3-pep8,
+ python3-coverage,
+ python3-pycodestyle,
  python3-sphinx,
  python3-setuptools,
  python3-sphinx-rtd-theme,
+ python3-wheel,
  unzip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/gccxml/pygccxml
 Vcs-Browser: https://salsa.debian.org/debian/pygccxml

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 override_dh_installdocs:
 	dh_installdocs
 	rm -rf ./debian/python-pygccxml-doc/usr/share/doc/python-pygccxml-doc/doctrees
+	rm -rf ./debian/python-pygccxml-doc/usr/share/doc/python-pygccxml-doc/html/_static/fonts

## pygccxml 2.5.0

=== debian/changelog ===
pygccxml (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.
  * better clean up (Closes: #1049083)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Apr 2024 11:08:12 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinx-rtd-theme,
  python3-wheel,
  unzip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/gccxml/pygccxml
 Vcs-Browser: https://salsa.debian.org/debian/pygccxml

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,9 @@
 	dh_installdocs
 	rm -rf ./debian/python-pygccxml-doc/usr/share/doc/python-pygccxml-doc/doctrees
 	rm -rf ./debian/python-pygccxml-doc/usr/share/doc/python-pygccxml-doc/html/_static/fonts
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf docs/_build
+	rm -rf docs/apidocs
+	rm -rf src/pygccxml.egg-info

## pygccxml 3.0.0

=== debian/changelog ===
pygccxml (3.0.0-1) unstable; urgency=medium

  * New upstream release. All tests pass.
  * Update standards version to 4.7.2, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Mar 2025 21:27:22 -0400

pygccxml (2.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Use upstream patch: scanner-debug-spaces-in-templates
  * Use patch to Modernize calldef_with_throw syntax
  * upload to experimental to investigate remaining test failures

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Jan 2025 21:52:07 -0500

pygccxml (2.6.0-1) experimental; urgency=medium

  * New upstream release
    use pytest for tests
  * upload to experimental to investigate test failures

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Dec 2024 18:09:30 -0500

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DH_VERBOSE=1
 export PYBUILD_NAME=pygccxml
-export PYBUILD_TEST_ARGS={interpreter} ./unittests/test_all.py
 
 %:
 	dh $@  --with python3 --buildsystem=pybuild
@@ -15,8 +14,8 @@
 	dh_installchangelogs -A docs/history.rst
 
 override_dh_auto_test:
-	#Disable the test suite until llvm toolchain is up-to-date and fixed again
-	#PYBUILD_SYSTEM=custom dh_auto_test
+	# Known test failures
+	- dh_auto_test
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4

https://github.com/gccxml/@PACKAGE@/tags \
.*/v?(\d\S*)@ARCHIVE_EXT@ debian uupdate

## pygccxml 3.0.2

=== debian/changelog ===
pygccxml (3.0.2-2) unstable; urgency=medium

  * remove useless dependency on importlib_metadata (Closes: #1125505)
  * Update standards version to 4.7.3, no changes needed.
  * update FSF copyright text
  * update watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 15 Jan 2026 07:23:41 -0500

pygccxml (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Mar 2025 20:54:39 -0400

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  python3-all,
  python3-coverage,
  python3-pycodestyle,
+ python3-pytest,
  python3-sphinx,
  python3-setuptools,
  python3-sphinx-rtd-theme,
  python3-wheel,
  unzip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/gccxml/pygccxml
 Vcs-Browser: https://salsa.debian.org/debian/pygccxml

=== debian/watch ===
Version: 5

Template: Github
Owner: gccxml
Project: @PACKAGE@
Update-Script: uupdate
